Package be.fgov.ehealth.aa.complextype.v1

# Class ProfessionV2

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.ProfessionV2

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class ProfessionV2 extends Object implements Serializable
Type of profession v2.

Java class for ProfessionTypeV2 complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionTypeV2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionCode" maxOccurs="unbounded"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionFriendlyName" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded" minOccurs="0"/>
             <element name="eMailAddress" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfessionV2()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Attribute>`
  `getAttributes()`
  Gets the value of the attributes property.
  `String`
  `getEMailAddress()`
  Gets the value of the eMailAddress property.
  `List<ProfessionCode>`
  `getProfessionCodes()`
  Gets the value of the professionCodes property.
  `List<NameType>`
  `getProfessionFriendlyNames()`
  Gets the value of the professionFriendlyNames property.
  `void`
  `setEMailAddress(String value)`
  Sets the value of the eMailAddress property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfessionV2

    public ProfessionV2()

- ## Method Details

  - ### getProfessionCodes

    public List<ProfessionCode> getProfessionCodes()
    Gets the value of the professionCodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionCodes property.

    For example, to add a new item, do as follows:

         getProfessionCodes().add(newItem);

    Objects of the following type(s) are allowed in the list `ProfessionCode`

    Returns:
      The value of the professionCodes property.

  - ### getProfessionFriendlyNames

    public List<NameType> getProfessionFriendlyNames()
    Gets the value of the professionFriendlyNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionFriendlyNames property.

    For example, to add a new item, do as follows:

         getProfessionFriendlyNames().add(newItem);

    Objects of the following type(s) are allowed in the list `NameType`

    Returns:
      The value of the professionFriendlyNames property.

  - ### getAttributes

    public List<Attribute> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

         getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `Attribute`

    Returns:
      The value of the attributes property.

  - ### getEMailAddress

    public String getEMailAddress()
    Gets the value of the eMailAddress property.
    Returns:
      possible object is `String`

  - ### setEMailAddress

    public void setEMailAddress(String value)
    Sets the value of the eMailAddress property.
    Parameters:
      `value` - allowed object is `String`